#ifndef MASH_MPLUG_CONFIG_H
#define MASH_MPLUG_CONFIG_H

#include "hash.h"
#include <npapi.h>


class MPlugConfiguration {
public:
	MPlugConfiguration();
	MPlugConfiguration(const char *filename);
	~MPlugConfiguration();

	void Clear();
	NPBool Read(const char *filename);

	const char *GetValue(const char *name);
	
private:
	void LocateAndReadFile(const char *environVar,
			       const char *defaultEnvironVal,
			       const char *suffix);
	NPBool Insert(const char *key, const char *value);
	HashTable ht_;
};


#endif /* MASH_MPLUG_CONFIG_H */
