import Application MatUI

Class MatApplication -superclass Application

MatApplication instproc init { argv } {
	$self next mat

	set o [$self options]
	$self init_args $o
	$self init_resources $o
	$o parse_args $argv

	$self init_ui
}

MatApplication instproc init_args o {
	$self next $o

	$o register_option -dir slideDir
	$o register_option -out slideOutputFile
	$o register_option -width slideWidth
	$o register_option -height slideHeight
	$o register_option -prefix urlPrefix
    	$o register_option -module module required
    	$o register_option -archive archive
    	$o register_option -ltsend ltsEnd
}	

MatApplication instproc init_resources o {
	$self next $o

	$o add_default slideDir .
	$o add_default slideOutputFile slides.mat
	$o add_default ltsEnd 10000
    	$o add_default archive archive
	$o add_default slideWidth 640
        $o add_default slideHeight 480
        $o add_default urlPrefix file:
    	$o add_default audioSpec 224.2.3.4/9822
    	$o add_default videoSpec 224.2.3.5/9832
    	$o add_default mbSpec 224.2.3.6/9842
	$o add_default loopback 1
}

MatApplication instproc init_ui {} {
	$self instvar ui_
	set ui_ [new MatUI]
}

